| Bsoft 2.0.5 Bernard's software package

Macros | Functions | Variables
rwFSC_XML.cpp File Reference

Library routines to read and write FSC curves. More...

`#include "ps_plot.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Macros
#define | FSCX "Resolution (A-1)"
#define | FSCY "Correlation Coefficient"

## Functions
Bplot * | xml_read_fsc (Bstring &filename)
| Reads an XML file with an FSC curve. More...
void | xml_write_fsc (Bstring &filename, Bplot *plot)

## Variables
int | verbose

## Detailed Description

Library routines to read and write FSC curves.

Author
  Bernard Heymann

Date
  Created: 20121216
  Modified: 20140423

Definition in file rwFSC_XML.cpp.

## Macro Definition Documentation

## ◆ FSCX

#define FSCX "Resolution (A-1)"

Definition at line 16 of file rwFSC_XML.cpp.

## ◆ FSCY

#define FSCY "Correlation Coefficient"

Definition at line 17 of file rwFSC_XML.cpp.

## Function Documentation

## ◆ xml_read_fsc()

Bplot* xml_read_fsc | ( | Bstring & | filename | ) |

Reads an XML file with an FSC curve.

Parameters

  &filename | input file name.

Returns
  Bplot* new plot.

      A new plot with two columns is generated.

Definition at line 167 of file rwFSC_XML.cpp.

## ◆ xml_write_fsc()

void xml_write_fsc | ( | Bstring & | filename,
|  | Bplot * | plot
| ) |  |

Definition at line 218 of file rwFSC_XML.cpp.

## Variable Documentation

## ◆ verbose

int verbose